> ## Documentation Index
> Fetch the complete documentation index at: https://docs.a-char.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a department

> A single department by id, or null when no such department exists. Requires the `departments:read` scope.



## OpenAPI

````yaml /openapi.json get /departments/{id}
openapi: 3.1.1
info:
  title: A-Char API
  version: 1.0.0
  description: 'Authenticate with `Authorization: Bearer <api key>`.'
servers:
  - url: https://a-char.com/api/v1
security:
  - bearerAuth: []
paths:
  /departments/{id}:
    get:
      tags:
        - Departments
      summary: Get a department
      description: >-
        A single department by id, or null when no such department exists.
        Requires the `departments:read` scope.
      operationId: departments.get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      name:
                        type: string
                      created_at:
                        type: string
                        format: date-time
                        x-native-type: date
                      updated_at:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                      organization_id:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - name
                      - created_at
                      - updated_at
                      - organization_id
                  - type: 'null'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````